#IF(ESP_PLATFORM)
idf_component_register(SRCS "meteofrance.c"
                    INCLUDE_DIRS "include"
                    REQUIRES json esp_http_client esp-tls stateManagement eventsManager)
#else()
#    add_library(meteofrance SHARED
#        meteofrance.c)
#    target_include_directories(meteofrance PUBLIC ./include)
#    target_link_libraries(meteofrance PRIVATE stateManagement FreeRTOS freertos_kernel)

#endif()